Package be.fgov.ehealth.bcp.protocol.v2

# Class ObjectFactory

java.lang.Object
be.fgov.ehealth.bcp.protocol.v2.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.bcp.protocol.v2 package.

An ObjectFactory allows you to programmatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.bcp.protocol.v2

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Cache`
  `createCache()`
  Create an instance of `Cache`
  `Endpoint`
  `createEndpoint()`
  Create an instance of `Endpoint`
  `EndpointList`
  `createEndpointList()`
  Create an instance of `EndpointList`
  `Expiry`
  `createExpiry()`
  Create an instance of `Expiry`
  `Key`
  `createKey()`
  Create an instance of `Key`
  `Service`
  `createService()`
  Create an instance of `Service`
  `ServiceList`
  `createServiceList()`
  Create an instance of `ServiceList`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.bcp.protocol.v2

- ## Method Details

  - ### createServiceList

    public ServiceList createServiceList()
    Create an instance of `ServiceList`
    Returns:
      the new instance of `ServiceList`

  - ### createService

    public Service createService()
    Create an instance of `Service`
    Returns:
      the new instance of `Service`

  - ### createCache

    public Cache createCache()
    Create an instance of `Cache`
    Returns:
      the new instance of `Cache`

  - ### createKey

    public Key createKey()
    Create an instance of `Key`
    Returns:
      the new instance of `Key`

  - ### createExpiry

    public Expiry createExpiry()
    Create an instance of `Expiry`
    Returns:
      the new instance of `Expiry`

  - ### createEndpoint

    public Endpoint createEndpoint()
    Create an instance of `Endpoint`
    Returns:
      the new instance of `Endpoint`

  - ### createEndpointList

    public EndpointList createEndpointList()
    Create an instance of `EndpointList`
    Returns:
      the new instance of `EndpointList`